OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CurveReplica Class Reference

`#include <StepGeom_CurveReplica.hxx>`

Inheritance diagram for StepGeom_CurveReplica:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_CurveReplica ()
| Returns a CurveReplica .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aParentCurve, const Handle(StepGeom_CartesianTransformationOperator)&aTransformation)
Standard_EXPORT void | SetParentCurve (const Handle(StepGeom_Curve)&aParentCurve)
Standard_EXPORT Handle_StepGeom_Curve | ParentCurve () const
Standard_EXPORT void | SetTransformation (const Handle(StepGeom_CartesianTransformationOperator)&aTransformation)
Standard_EXPORT Handle_StepGeom_CartesianTransformationOperator | Transformation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Curve | parentCurve
Handle_StepGeom_CartesianTransformationOperator | transformation

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CurveReplica::StepGeom_CurveReplica | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_CurveReplica::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Curve.

virtual Standard_EXPORT void StepGeom_CurveReplica::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aParentCurve,
|  | const Handle(StepGeom_CartesianTransformationOperator)& | aTransformation
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_CurveReplica::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_Curve StepGeom_CurveReplica::ParentCurve | ( |  | ) | const

Standard_EXPORT void StepGeom_CurveReplica::SetParentCurve | ( | const Handle(StepGeom_Curve)& | aParentCurve | ) |

Standard_EXPORT void StepGeom_CurveReplica::SetTransformation | ( | const Handle(StepGeom_CartesianTransformationOperator)& | aTransformation | ) |

Standard_EXPORT Handle_StepGeom_CartesianTransformationOperator StepGeom_CurveReplica::Transformation | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Curve StepGeom_CurveReplica::parentCurve`[private]`

Handle_StepGeom_CartesianTransformationOperator StepGeom_CurveReplica::transformation`[private]`

The documentation for this class was generated from the following file:

- StepGeom_CurveReplica.hxx